Skip to content
Navigation

Pages the store's customers.

GET
https://api.sherpo.io/merchant/v1/stores/{store}/customers

Authorization

  • bearer
    HTTP
    required

Path parameters

  • store
    string
    required

    The store's id.

Query parameters

  • filter
    optional
    object

    filter[<field>]=<value> is an equality, filter[<field>][<op>]=<value> names the operator; in repeats the parameter.

  • sort
    optional
    created
    or
    name

    Sorted by name, rows without a value come last either way.

  • direction
    optional
    asc
    or
    desc
  • limit
    optional
    integer
    maximum: 1000 · minimum: 1
  • cursor
    optional
    string
    maxLength: 8192
  • count
    optional
    boolean
  • search
    optional
    string
    maxLength: 200 · minLength: 1
  • facets
    optional
    array of
    string

Returns

200

Pages the store's customers.

JSON
  • items
    array of
    object
    required
    • contacts
      array of
      object
      required
      • kind
        string
        required
      • value
        string
        required
      • verified_at
        required

        One of the following:

        • string
        • null
    • totals
      object
      required
      • orders
        number
        required
      • spent
        array of
        object
        required
        • currency
          string
          required
        • exponent
          required

          One of the following:

          • number
          • null
        • amount
          required

          One of the following:

          • number
          • null
        • gross
          required

          One of the following:

          • number
          • null
        • refunded
          required

          One of the following:

          • number
          • null
      • active_subscriptions
        number
        required
    • id
      string
      required
    • display_name
      required

      One of the following:

      • string
      • null
    • locale
      required

      One of the following:

      • string
      • null
    • country
      required

      One of the following:

      • string
      • null
    • erased_at
      required

      One of the following:

      • string
      • null
    • invited_at
      required

      One of the following:

      • string
      • null
    • created_at
      required

      One of the following:

      • string
      • null
  • cursor
    required

    One of the following:

    • string
    • null
  • total
    optional
    number
  • facets
    optional
    map of
    map<number>
JSON
  • type
    string
    required
    format: uri
  • title
    string
    required
  • status
    integer
    required
  • detail
    string
    required
  • code
    optional
    string
  • context
    optional
    object
  • reached_core
    optional
    boolean
  • core_answer
    optional
    string

Type to search…

↑↓ navigate↵ selectEsc close